@import url('./variables.css');

/* Contenedor principal */
.contact {
    background-color: var(--secondary-color);
    padding: var(--padding-xxl) var(--padding-xl);
    color: var(--primary-color);
  }
  
  .contact__container {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--gap-xl);
    max-width: 1200px;
    align-items: start;
  }
  
  .contact__info {
    text-align: left;
  }
  
  .contact__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    margin-bottom: var(--margin-xl);
  }
  
  .contact__description {
    font-size: var(--normal-text-font-size);
    line-height: 1.6;
  }
  
  .contact__form {
    display: grid;
    padding-right: var(--padding-xl);
    grid-template-columns: 1fr 1fr;
    gap: var(--gap-xl);
  }
  
  .contact__form-group {
    grid-column: span 2;
  }
  
  .contact__label {
    font-size: var(--normal-text-font-size);
    margin-bottom: var(--margin-sm);
    display: block;
  }
  
  .contact__input,
  .contact__textarea {
    width: 95%;
    padding: var(--padding-sm);
    font-size: var(--normal-text-font-size);
    border: 1px solid var(--primary-color);
    background-color: var(--secondary-color);
    color: var(--primary-color);
  }
  
  .contact__input:focus,
  .contact__textarea:focus {
    outline: none;
    border-color: var(--accent-color);
    box-shadow: 0 0 4px var(--accent-color);
  }
  
  .btn__contact {
   background-color: var(--primary-color) !important;
  }
  
  .btn__contact:hover {
    background-color: var(--accent-color) !important;
  }
  
  /* Responsivo */
  @media (min-width: 768px) {
    .contact__container {
      grid-template-columns: 1fr 2fr;
    }
  
    .contact__form-group {
      grid-column: span 1;
    }
  
    .contact__button {
      grid-column: span 2;
    }
  }
  
  @media (min-width: 1024px) {
    .contact__container {
      gap: var(--gap-xl);
    }
  }

  .map {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    padding: var(--padding-xl);
    margin-top: var(--margin-sm);
    text-align: center;
    position: relative;
    overflow: visible; 
  }
  
  .map__container {
    position: relative;
    z-index: 2;
    padding: var(--padding-xxl);
    margin-bottom: var(--margin-xl);
  }

  .map__content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--gap-xl);
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
  }
  
  .map__iframe {
    width: 100%;
    height: 300px;
    border: 0;
  }
  
  .map__info {
    text-align: left;
    color: var(--secondary-color);
  }
  
  .map__address,
  .map__hours,
  .map__phone,
  .map__email {
    margin-bottom: var(--margin-sm);
    font-size: var(--normal-text-font-size);
    line-height: 1.6;
  }
  
  .map__address {
    font-weight: var(--title-font-weight);
  }
  
  .map__hours {
    font-style: italic;
  }
  
  .map__phone,
  .map__email {
    font-weight: var(--subtitle-font-weight);
  }
  
  /* Responsivo */
  @media (max-width: 768px) {
    .map__content {
      grid-template-columns: 1fr;
      text-align: center;
    }
  
    .map__info {
      text-align: center;
    }
  }
  
  